@echo off
rem -------------------------------------------------------------------------
rem Copied from JBoss Bootstrap Script for Win32
rem -------------------------------------------------------------------------

@if not "%ECHO%" == ""  echo %ECHO%
@if "%OS%" == "Windows_NT"  setlocal

set DIRNAME=.\
if "%OS%" == "Windows_NT" set DIRNAME=%~dp0%
set PROGNAME=serialize.bat
if "%OS%" == "Windows_NT" set PROGNAME=%~nx0%

rem Read all command line arguments

set ARGS=
:loop
if [%1] == [] goto endloop
        set ARGS=%ARGS% %1
        shift
        goto loop
:endloop

set PROG_HOME=%DIRNAME%\..

rem Find run.bat, or we can't continue

set RUNBAT=%PROG_HOME%\bin\.run.bat
if exist "%RUNBAT%" goto FOUND_RUN_BAT
echo Could not locate %RUNBAT%. Please check that you are in the
echo bin directory when running this script.
goto END

:FOUND_RUN_BAT

rem Find sctk.jar, or we can't continue

set RUNJAR=%PROG_HOME%\lib\sctk-0.01.jar
if exist "%RUNJAR%" goto FOUND_RUN_JAR
echo Could not locate %RUNJAR%. Please check that you are in the
echo bin directory when running this script.
goto END

:FOUND_RUN_JAR

set PROG_CLASSPATH=%PROG_CLASSPATH%;%RUNJAR%;%PROG_HOME%\lib\java-getopt-1.0.9.jar;%PROG_HOME%\lib\JSX2.0.9.9.jar

rem Setup program sepecific properties
set JAVA_OPTS=%JAVA_OPTS% -Dprogram.name=%PROGNAME%

set PROGRAM_CLASS=com.oryxsoft.test.serialization.Deserialize
%RUNBAT% %ARGS%

:END
rem if "%NOPAUSE%" == "" pause

:END_NO_PAUSE
